#include <iostream>
#include <string>
using namespace std;

int gcd(int, int);

class RationalNumber{
private:
	int num;
	int demo;
public:
	RationalNumber();
	RationalNumber(int num, int demo);

	void print();
	int getInteger();
	bool isLargerThan(RationalNumber rn);
};

RationalNumber::RationalNumber(){
	RationalNumber(0, 1);
};

RationalNumber::RationalNumber(int num, int demo){
	
	int isMinus = 1;

	if (num < 0){
		isMinus *= -1;
		num *= -1;
	}
	if (demo < 0){
		isMinus *= -1;
		demo *= -1;
	}

	int gcdNum = gcd(num, demo);
	num /= gcdNum;
	demo /= gcdNum;
	this->num = num*isMinus;
	this->demo = demo;
};

void RationalNumber::print(){
	cout << num << "/" << demo;
};

int RationalNumber::getInteger(){
	return num/demo;
};

bool RationalNumber::isLargerThan(RationalNumber rn){
	return this->num * rn.demo > this->demo * rn.num;
};



struct variable{
	string name;
	RationalNumber number;
};

int main(int argc, char const *argv[]){

	variable varList[100];
	int varLength = 0;

	char task;
	while(cin >> task){
		int listIndex = -1;

		if (task == 'N'){
			variable newVariable;

			string inputName;
			cin >> inputName;

			newVariable.name = inputName;

			int newNum = 0;
			int newDemo = 0;

			cin >> newNum >> newDemo;
			newVariable.number = RationalNumber(newNum, newDemo);

			for (int i = 0; i < varLength; i++){
				if (newVariable.name == varList[i].name){
					listIndex = i;
					break;
				}
			}
			if (listIndex == -1){
				varList[varLength] = newVariable;
				varLength++;
			}
			varList[listIndex] = newVariable;
		}else if (task == 'P'){
			string inputName;
			cin >> inputName;

			for (int i = 0; i < varLength; i++){
				if (inputName == varList[i].name){
					listIndex = i;
					break;
				}
			}

			if (listIndex != -1)
				varList[listIndex].number.print();
			cout << endl;

		}else if (task == 'I'){
			string inputName;
			cin >> inputName;

			for (int i = 0; i < varLength; i++){
				if (inputName == varList[i].name){
					listIndex = i;
					break;
				}
			}

			if (listIndex != -1)
				cout << varList[listIndex].number.getInteger();
			cout << endl;

		}else{

			string inputName1;
			cin >> inputName1;

			string inputName2;
			cin >> inputName2;

			int l1 = -1;
			int l2 = -1;
			for (int i = 0; i < varLength; i++){
				if (inputName1 == varList[i].name){
					l1 = i;
				}
				if (inputName2 == varList[i].name){
					l2 = i;
				}
			}

			if (l1 != -1 && l2 != -1){
				if (varList[l1].number.isLargerThan(varList[l2].number))
					cout << "larger";
				else{
					if (varList[l2].number.isLargerThan(varList[l1].number))
						cout << "smaller";
					else
						cout << "equal";
				}
			}
			cout << endl;
		}

	}
	
	return 0;
}

int gcd(int m, int n){
	if (n == 0)
		return m;
	else
		return gcd(n, m%n);
};