#include <iostream>
#include <string>
using namespace std;

class CourseGrade{
private:
	string courseID;
	int grade;
public:
	CourseGrade();
	CourseGrade(string courseID, int grade);
	void printCourse();
	string getCID();
	int getGrade();

};

class Student{
private:
	string studentID;
	int courseCnt;
	CourseGrade* gradeList;
public:
	Student();
	Student(string studentID);

	void addNewClass(string courseID, int grade);
	string getID();
	void print();
	int averageScore();
	int getCount();
	int getCourseGrade(string courseID);
};

CourseGrade::CourseGrade(){
	CourseGrade("",0);
};

CourseGrade::CourseGrade(string courseID, int grade){
	this->courseID = courseID;
	this->grade = grade;
};

void CourseGrade::printCourse(){
	cout << this->courseID << " " << this->grade << endl;
};

string CourseGrade::getCID(){
	return this->courseID;
};

int CourseGrade::getGrade(){
	return this->grade;
};

Student::Student(){
	Student("");
};
Student::Student(string studentID){
	this->studentID = studentID;
	this->courseCnt = 0;
	this->gradeList = NULL;
};

void Student::addNewClass(string courseID, int grade){

	CourseGrade* tempList = this->gradeList;
	this->gradeList = new CourseGrade[courseCnt+1];
	if (this->courseCnt > 0){
		for (int i = 0; i < this->courseCnt; i++){
			this->gradeList[i] = tempList[i];
		}
	}
	CourseGrade newRecord = CourseGrade(courseID, grade);
	this->gradeList[this->courseCnt] = newRecord;
	delete[] tempList;
	this->courseCnt++;

};

string Student::getID(){
	return this->studentID;
};

void Student::print(){
	cout << this->studentID << endl;
	for (int i = 0; i < courseCnt; i++){
		this->gradeList[i].printCourse();
	}
};

int Student::averageScore(){
	int totalScore = 0;
	for (int c = 0; c < courseCnt; c++){
		totalScore += this->gradeList[c].getGrade();
	}
	return totalScore / courseCnt;
};

int Student::getCount(){
	return this->courseCnt;
};

int Student::getCourseGrade(string courseID){
	for (int c = 0; c < courseCnt; c++){
		if (this->gradeList[c].getCID() == courseID)
			return this->gradeList[c].getGrade();
	}
	return -1;
};


int main(int argc, char const *argv[]){

	Student studentList[1000];
	int studentNum = 0;

	int recordNum = 0;
	cin >> recordNum;

	for (int i = 0; i <= recordNum; i++){
		string record;
		getline(cin, record);
		if (i > 0){
			string studentID = record.substr(0,9);
			string courseGradeInfo = record.substr(10,record.length()-10);
			int splitPoint = courseGradeInfo.find(',');
			string courseID = courseGradeInfo.substr(0,splitPoint);
			string grade = courseGradeInfo.substr(splitPoint+1);
			int gradePoint = stoi(grade);

			int listIndex = -1;
			if (studentNum > 0){
				for (int s = 0; s < studentNum; s++){
					if (studentList[s].getID() == studentID){
						listIndex = s;
						studentList[s].addNewClass(courseID, gradePoint);
						break;
					}
				}
			}
			if (listIndex == -1){
				Student newStudent = Student(studentID);
				studentList[studentNum] = newStudent;
				studentList[studentNum].addNewClass(courseID, gradePoint);
				studentNum++;
			}
		}


	}

	char task;
	cin >> task;

	if (task == 'S'){
		string studentID;
		getline(cin, studentID);
		studentID = studentID.substr(1);

		for (int s = 0; s < studentNum; s++){
			if (studentList[s].getID() == studentID){
				cout << studentList[s].getCount() << " " << studentList[s].averageScore() << endl;
				break;
			}
		}

	}else{

		string courseID;
		getline(cin, courseID);
		courseID = courseID.substr(1);

		int totalScore = 0;
		int count = 0;
		for (int s = 0; s < studentNum; s++){
			int newScore = studentList[s].getCourseGrade(courseID);
			if (newScore != -1){
				totalScore += newScore;
				count++;
			}
		}
		cout << count << " " << totalScore/count << endl;

	}

	
	return 0;
}


